Subject: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Andrea Corallo <[email-masked]>
Date: Fri, 26 Mar 2021 10:18:55 +0000

Andrea Corallo <[email-masked]> writes:

> Andy Moreton <[email-masked]> writes:
>
>> On Fri 19 Feb 2021, Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
>>
>>> The patch is not affecting GCC9 as initially was reported to be working.
>>> If you suspect also 9 is affected you can trivially modify the patch to
>>> take effect on 9 too.
>>
>> I tried a clean rebuild after modifying the patch to appy for gcc9.
>> No difference - the compile processes still crash.
>>
>> Debugging this further will have to wait for Eli or some other
>> interested person who uses this platform to investigate this issue.
>>
>>     AndyM
>
> So with 39792cf629 I've pushed the work-around limiting it to GCC10 (as
> in trunk is freshly fixed).
>
> I tried again to bootstrap on 32bit wide-int and it works.
>
> The compiler testsuite is segfaulting for me... so I guess I'll have
> something more to debug.  This might be the reason of the problem you
> are observing.  I'll follow-up on this.

I've tested now the current branch c6c7b30e4b compiling 32bit
--with-wide-int.

I have the impression that all 32bit --with-wide-int specific issues
have been solved here or in the other related threads.

All the compiler testsuite is running clean for me and I think we should
classify the segfault Eli observed running `comp-tests-bootstrap' as a
libgccjit bug specific to that version (libgccjit should *never* crash
and if does it's a bug in the library).

Eli, how do you find the current branch stability on 32bit wide-int?

Is there anything left we should look into for this bug?

Thanks

  Andrea